/* Q10 StdProdCost Template */
/* Uses $SCENMEMBER template parameter
 * in addition to the general parameters
 */


select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	sum(a.value) / (count (timelevel.Month_level) * count (prodlevel.code_level))
from 
	StdProdCost a, prodlevel, timelevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level = timelevel.Month_level
	and a.Scenario = '$SCENMEMBER'
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
;

/* end of template */
