/* Q10 B Template */
/* for budget and forecast scenarios */

/* Uses $TABLE, $FUNC and $SCENMEMBER template parameters
 * in addition to the general parameters
 */


select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	'$SCENARIO',
	$FUNC
from 
	$TABLE a, prodlevel, timelevel, custlevel
where
	    a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and a.time_level = timelevel.Month_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
;

/* end of template */
